module Followable
  extend ActiveSupport::Concern

  included do
    has_many :follows, as: :followable, dependent: :destroy
  end

  # Retrieve the user followers
  def followers
    Follow.where(followable: self)
  end

end
